Писать на форуме DIAFAN.CMS могут только зарегистрированные пользователи. Войдите или зарегистрируйтесь.

Форум Общие вопросы Дополнения addons.diafan.ru Дополнение "ИЗОБРАЖЕНИЯ С ВЫБОРОМ НЕСКОЛЬКИХ ЗНАЧЕНИЙ 2.0"


Станислав (Stason) Сайт в Diafan.Cloud10 июня

Приветствую. Коллеги, кто пользуется данным дополнением, подскажите пожалуйста, оно совместимо с последней версией Диафана? Только после покупки увидел инфу, про совместимость с предыдущими версиями.
Проблема в том, что после установки дополнения, слетает у сайта настройка шаблонов для страниц, т.е. все страницы показываются без соответствующего шаблона, без js и css, просто тупой html.

Александра (Alexa0105) 19210 июня

Ссылку хотя бы дайте на дополнение.

Виталий NVGPRO (DIAFAN.CMS) 32910 июня

На странице дополнения написана версия cms, под которую оно оптимизировано.
Цитата
Текущая версия Дополнения 2.17.5.24 для версии diafan.cms 6.0.4.10, версии diafan.cms 6.0.5.0
На актуальной версии дополнение не тестировалось. В ближайшее время планирую обновить дополнения. Но пака, к сожалению, занят текущими вопросами.

Станислав (Stason) Сайт в Diafan.Cloud11 июня

Ну здорово, что я могу сказать. Деньги на ветер выкинул.
В очередной раз обращаюсь в адрес администрации Диафан. ДОПОЛНЕНИЯ, КОТОРЫЕ НЕ РАБОТАЮТ/НЕ ТЕСТИРОВАЛИСЬ С ПОСЛЕДНЕЙ ВЕРСИЕЙ, НЕ ДОЛЖНЫ ВИСЕТЬ В ПРОДАЖЕ!!!
Может у Вас другая логика и конечно напишете в ответ, мол самому смотреть нужно было...
Но тогда грош цена Диафану без нормальных модулей. Я уже боюсь что-то устанавливать, сайт полетит к чертям да и все, потому что я видите ли обновился до последней версии, а у кого-то "пака времени нет" и у администрации тоже похоже.
О каком развитии можно говорить???
Пишите тогда сами модули и их сопровождайте. Пусть цена будет выше, но зато без нервов и угрозы краха сайта.

Виталий (DIAFAN.CMS) 67511 июня

Деньги на ветер выкинул.

Это почему ещё? Пишите в ТП запрос, вернут деньги.
Или если более-менее предметно опишете и покажете, что именно и на каком сайте сломалось, Виталя подскажет, что поправить.
сайт полетит к чертям
Чаще всего проблема в каком-нибудь не/закрытом теге, из-за чего ломается верстка. Символ один, решается быстро, но выглядит сломанная верстка очень страшно и многие слишком драматизируют этот момент.
Между 6.0.5 и 6.0.8 радикальных изменений не было, так что там скорее всего мелочь какая-нибудь

Павел (kpv77725) 2011 июня

Новый Импорт весьма радикальное изменение, но опять же есть возможность пользоваться старым

Виталий (DIAFAN.CMS) 67511 июня

Так это отдельный модуль, он отношения к карточке товара не имеет, к верстке и к админке. Он чисто в БД работает

Павел (kpv77725) 2011 июня

Цитата
ДОПОЛНЕНИЯ, КОТОРЫЕ НЕ РАБОТАЮТ/НЕ ТЕСТИРОВАЛИСЬ С ПОСЛЕДНЕЙ ВЕРСИЕЙ, НЕ ДОЛЖНЫ ВИСЕТЬ В ПРОДАЖЕ!!!

С чего вдруг???
Далеко не у всех последняя версия.
К тому же В описании указано для какой версии это разработанно.

Не нравятся чужие модули- пишите свои.
И я не думаю, что вам не вернут деньги, если вы захотите

Станислав (Stason) Сайт в Diafan.Cloud13 июня

Я выбрал Диафан за стоимость и легкую в понимании архитектуру.
В итоге, если следовать логике "пишите сами модули" - я не на столько программист и многие не смогут => персональная доработка у стороннего специалиста, увеличится конечная стоимость сайта, конкурентное преимущество Диафана исчезнет.
Если "не у всех последняя версия" - это вообще не обсуждается...какая разница, какая у кого какая версия, я увидел модуль и поставил, без разглядывания через лупу номер версии, еще и за деньги.
Вот стоит например модуль Boxberry. Апи прописал, а он не обновляет базу городов. Ну вот просто не обновляет. Смотрю на комменты, так были проблемы у людей уже. Это еще пример. Пока не писал Корогану (разработчику Boxberry).
Я не нервы пишу потрепать, а за работоспособность и развитие Диафана.
К тому же слишком много вложено в разработку ИМ времени, чтобы перелезать на другую cms, опять же увеличатся затраты...
Мысль была в облаке что-то арендовать, но так там шаблоны из начала 2000х... не вариант вообще.
Диафан, задумайся пожалуйста...

Александра (Alexa0105) 19213 июня

Ну тут вы не совсем правы.
У меня некоторые сайты установлены два года назад, обновлять их я не собираюсь. Ибо "не трогай то, что работает". Поэтому если захочется какое-то дополнение, то не факт, что любое туда встанет.

Цитата
Если "не у всех последняя версия" - это вообще не обсуждается...какая разница, какая у кого какая версия

Есть разница и огромная. Я вот в 1987 году играла в классную игру на компе, а сейчас, как считаете, можно ее на винду 10 поставить?
Почему-то она не хочет работать. Странно...

Павел (kpv77725) 2013 июня

Цитата
Пишите тогда сами модули и их сопровождайте.Пусть цена будет выше

Цитата
Я выбрал Диафан за стоимость

Устроит ли Вас цена за дополнение скажем в 5 раз больше ?
Если кто-то придумал что-то новое для Cms, имеют ли право авторы cms взять чужой продукт и развивать его самостоятельно?
И если в базе модулей от Диафана не будет нужного, вы готовы снова отдать в 5-10 раз больше денег за его разработку без гарантий, т.к. Диафан этого делать не будет?
И должен ли разработчик за бесплатно осуществлять поддержку, при изменениях в CMS, если он изначально пишет код под определенную версию?

Вы противоречите сами себе.
Я не видел ни одного дополнения в любой другой CMS , которое было бы совместимо со всеми версиями.


Цитата
слишком много вложено в разработку ИМ времени

По вашему модуль за пять минут на коленке пишется?

Вы хотите купить за рубль , а продать за 2, ничего особо не вкладывая.

PS
Цитата
что после установки дополнения, слетает у сайта настройка шаблонов для страниц

Скорее всего это связанно с кривой установкой, а не проблемой модуля.

Павел (kpv77725) 2013 июня

И еще мысль:
Вы имеете статус партнера. Скорее всего Вы осуществляете продажу готового дизайна.
А можете ли Вы дать гарантию, что ваша верстка (пускай она будет на голом Диафан) не поплывет при обновлении?

Павел (kpv77725) 2013 июня

Цитата
Пока не писал Корогану (разработчику Boxberry).

А вот это напишите, должен исправить. Так бывает когда меняется файл выгрузки у Boxberry.
По крайней мере для СДЭКа этот момент устранили.

Виталий (DIAFAN.CMS) 67513 июня

Цитата
Вот стоит например модуль Boxberry. Апи прописал, а он не обновляет базу городов.
...
Мысль была в облаке что-то арендовать, но так там шаблоны из начала 2000х... не вариант вообще.
Диафан, задумайся пожалуйста...

Задуматься над чем? Над тем, что шаблоны из 2000х? Так там не только наши шаблоны, но и куча партнёрских. У всех из 2000? Вряд ли. Да и мне, например, не кажется, что из 2000х. Открываю мвидео, онлайнтрейд, озон, везде такие же дизайны, а сейчас 2019ый...
Или задуматься о том, что у партнёров сторонние модули не работают? А что тут думать? Мы на себя не возьмём поддержку сотен необходимых дополнений, мы тупо не успеем их поддерживать, это 100%. Этим должны партнёры заниматься. Не занимаются? Наверное потому, что клиенты хотят халяву, платить не хотят, а партнёры кушать хотят и бесплатно ничего поддерживать не будут. Просто поскрывать их все? Не проблема. Но кому лучше-то будет?

Александра (Alexa0105) 19213 июня

Просто поскрывать их все?

А вот это не дело. Может клиент именно под старый движок дополнение будет искать, а у нас нет.
И вообще мысль по этому поводу возникла: почему бы в одном дополнении не держать несколько версий?
Т.е. сделано дополнение под 6.1, а потом еще, под 6.2. и т.д. Клиент покупает и выбирает, под какую версию ему качнуть.

Степан (idxdoc) 21813 июня

Ты первая в рядах кто будет это поддерживать?))

Александра (Alexa0105) 19213 июня

Степан, ты меня не так понял.

Есть дополнение для версии 5, потом выходит версия 6. Куда старое дополнение девается? Его новым подменяют. Верно?
Т.е. старое тупо стирают.

Я предлагаю не стирать, а оставить его типа в архиве.
Так понятнее?

Степан (idxdoc) 21813 июня, редакция 13 июня

Мне сразу это и было понятно, а понятно ли тебе то что старое дополнение тоже нужно поддерживать, у кого то жопа заболит, у кого то пиписка :)

Только вот в новой версии ты уже поправил, но нет, тебе придется еще и в старой версии поддерживать это, если у кого то найдется такой косяк.

Михаил (ZzzBep) 11813 июня, редакция 13 июня

Во во. Яркий пример Opencart

Привет (romaromk) 7614 июня

По умолчанию, в диафане у модулей lts, можно оставлять старые архивы, но поддержку на них не распространять и описать это.

Степан (idxdoc) 21814 июня

А кто будет проверять этот момент когда модуль перестает поддерживаться из за новой версии?

Виталий (DIAFAN.CMS) 67514 июня

Цитата
и описать это.

Так не читают же! Прокрутите выше, с этого топик и начался!)))

Любимов Павел (DIAFAN.CMS) 33714 июня, редакция 14 июня

Так не читают же! Прокрутите выше, с этого топик и начался!)))
Похоже на ситуацию: пришёл покупатель в магазин обуви и взял неглядя первые попавшиеся ботинки. Через день приходит и говорит:
- Поменяйте, они мне на ноги не налезают.
- Хорошо, подойдите на кассу, Вам вернут деньги. Но у Вас же 45 размер, а Вы взяли 39. Зачем?
- А я не смотрел. У меня самый большой размер ноги, зачем мне смотреть. Вообще, у вас должен везде стоять 45 размер, поскольку человек с ногой 39 размера сможет ходить в обуви 45-го, а на мою ногу 39 не налезет. Логично же.
- Но ведь 45 размера может и не быть в продаже. Может быть, например, 40. Поэтому мы и указываем размеры.
- Да не должен я смотреть никакие размеры. Я же вам объяснил - ставите 45, подходит всем. Нет 45-го - не продавайте. Этим вы нарушаете мои права. Я клиент, а клиент всегда прав! Виноват магазин! Задумайтесь, пожалуйста.

Глупо ведь выглядит. Но по факту так и выходит. Осталось выяснить - почему в обувном магазине этикетки с размерами читают, а в аддонсах - описание версий - нет.

Привет (romaromk) 7614 июня

Так не читают же! Прокрутите выше, с этого топик и начался!)))

Имел ввиду, что для всех модулей так сделать.

Как пример:
Версия 1.0 больше не поддерживается (скачать архив)
Версия 1.1 поддерживается с 6.0.8.6+ (скачать архив)